#include "common.h"

void
print_warning (char *name, char *message, GError *error)
{
  if (error != NULL)
    g_print ("[%s] %s: %s\n", name, message, error->message);
  else
    g_print ("[%s] %s\n", name, message);
}


void
print_error (char *name, char *message, GError *error)
{
  if (error != NULL)
    g_print ("[%s] %s: %s\n", name, message, error->message);
  else
    g_print ("[%s] %s\n", name, message);
}


GtkTreeIter *
find_iter_for_key (const char *key, gint column, GtkListStore *store)
{
  GtkTreeIter *result = NULL;
  char *str = NULL;

  result = g_new0 (GtkTreeIter, 1);

  /* first try to look for the key */
  if (gtk_tree_model_get_iter_first (GTK_TREE_MODEL (store), result))
    do {

      gtk_tree_model_get (GTK_TREE_MODEL (store), result, column, &str, -1);
      if (g_ascii_strcasecmp (str, key) == 0) {

	g_free (str);
	return result;
      }
      g_free (str);
    } while (gtk_tree_model_iter_next (GTK_TREE_MODEL (store), result));

  /* the search failed : fallback to appending */
  gtk_list_store_append (store, result);

  return result;
}
