#include <gtk/gtk.h>

#include "accounts.h"
#include "calls.h"

static gboolean
delete(GtkWidget *widget,
	gpointer   data )
{
  return FALSE;
}

static void
quit_callback(GtkWidget *widget,
	      gpointer   data )
{
    gtk_main_quit ();
}

int
main (int argc, char *argv[])
{
  GtkWidget *window = NULL;
  GtkWidget *vbox = NULL;
  GtkWidget *quit_button = NULL;
  GtkWidget *accounts = NULL;
  GtkWidget *calls = NULL;

  gtk_init (&argc, &argv);

  accounts = accounts_new ();
  calls = calls_new ();
  quit_button = gtk_button_new_from_stock (GTK_STOCK_QUIT);
  vbox = gtk_vbox_new (FALSE, 5);
  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);

  gtk_container_add (GTK_CONTAINER (window), vbox);
  gtk_container_add (GTK_CONTAINER (vbox), accounts);
  gtk_container_add (GTK_CONTAINER (vbox), calls);
  gtk_container_add (GTK_CONTAINER (vbox), quit_button);

  g_signal_connect (G_OBJECT (window), "delete_event",
		    G_CALLBACK (delete), NULL);
  g_signal_connect (G_OBJECT (window), "destroy",
		    G_CALLBACK (quit_callback), NULL);

  g_signal_connect (G_OBJECT (quit_button), "clicked",
		    G_CALLBACK (quit_callback), NULL);


  gtk_widget_show_all (window);

  gtk_main ();

  return 0;
}
